### Function

# GObject signal_stop_emission

#### Declaration [src]

    void
    g_signal_stop_emission (
      GObject* instance,
      guint signal_id,
      GQuark detail
    )

#### Description [src]

Stops a signal’s current emission.

This will prevent the default method from running, if the signal was `G_SIGNAL_RUN_LAST` and you connected normally (i.e. without the “after” flag).

Prints a warning if used on a signal which isn’t being emitted.

#### Parameters

`instance`

  Type: `GObject`

  The object whose signal handlers you wish to stop.

  The data is owned by the caller of the function.

`signal_id`

  Type: `guint`

  The signal identifier, as returned by g_signal_lookup().

`detail`

  Type: `GQuark`

  The detail which the signal was emitted with.